aboutsummaryrefslogtreecommitdiff
path: root/test.sh
diff options
context:
space:
mode:
authordec05eba <dec05eba@protonmail.com>2018-12-31 12:01:59 +0100
committerdec05eba <dec05eba@protonmail.com>2018-12-31 12:02:02 +0100
commitfe4199dace73ee38262528f7ae88cbfba99120dd (patch)
tree154d3b6f09ee158d31a3dc29379bc906647629fc /test.sh
parent3a5f81426395f1468e6d88e98da984a3fc2c2e78 (diff)
Make thread-safe
Diffstat (limited to 'test.sh')
-rwxr-xr-xtest.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/test.sh b/test.sh
new file mode 100755
index 0000000..ad72ae2
--- /dev/null
+++ b/test.sh
@@ -0,0 +1,26 @@
+#!/usr/bin/env bash
+
+set -e
+
+if [ "$#" -ne 1 ]; then
+ echo "Expected 1 argument, a home path"
+ exit 1
+fi
+
+script_path=`readlink -f $0`
+script_dir=`dirname $script_path`
+cd "$script_dir"
+
+HOME="$1"
+if [ ! -f ~/.local/share/fonts/Lato-Regular.ttf ]; then
+ mkdir -p ~/.local/share/fonts
+ cp ./fonts/Lato-Regular.ttf ~/.local/share/fonts/Lato-Regular.ttf
+ fc-cache
+fi
+if [ ! -f ~/.local/share/fonts/Lato-Bold.ttf ]; then
+ mkdir -p ~/.local/share/fonts
+ cp ./fonts/Lato-Bold.ttf ~/.local/share/fonts/Lato-Bold.ttf
+ fc-cache
+fi
+platform=`sibs platform`
+env GTK_THEME=Adwaita:light gdb ./sibs-build/$platform/debug/dchat \ No newline at end of file